#ifndef _H_ARGS
#define _H_ARGS

#define CHAR 0
#define INT  1

struct _usb_accepted_conf {
	char *name;
	int type;
	char *default_val;
	void *value;
};

struct _usb_conf {
	char *mntpoint;
	char *proc_basename;
	char *local_keypath;
	char *device_keypath;
	char *pubkey;
	char *snfile;
	char *fs;
	char *utmp;
	char *force_device;
	char *log_file;
	char *mount_opts;
	char *local_consoles;
	char *local_hosts;
	char *hostname;
	int direct_open;
	int try_first_pass;
	int use_first_pass;
	int allow_remote;
	int check_device;
	int check_if_mounted;
	int delete_mntpoint;
	int keep_mounted;
	int sign_times;
	int debug;
	int quiet;
};

extern struct _usb_conf usb_conf;

int put_arg_value (char *name, char *value);
void put_default_values (void);
void parse_args (int ac, const char **av);

#endif
